You can create a new ticket.
Intercom API version.
By default, it's equal to the version set in the app package.
The list of contacts (users or leads) affected by this ticket. Currently only one is allowed
[ { "id": "1234" } ]
The ID of the company that the ticket is associated with. The unique identifier for the company which is given by Intercom
The time the ticket was created. If not provided, the current time will be used.
The attributes set on the ticket. When setting the default title and description attributes, the attribute keys that should be used are _default_title_ and _default_description_. When setting ticket type attributes of the list attribute type, the key should be the attribute name and the value of the attribute should be the list item id, obtainable by listing the ticket type. For example, if the ticket type has an attribute called priority of type list, the key should be priority and the value of the attribute should be the guid of the list item (e.g. de1825a0-0164-4070-8ca6-13e22462fa7e).
{ "_default_title_": "Found a bug", "_default_description_": "The button is not working" }
- The production API serverhttps://api.intercom.io/tickets
- The european API serverhttps://api.eu.intercom.io/tickets
- The australian API serverhttps://api.au.intercom.io/tickets
- ID
- External ID
curl -i -X POST \
https://api.intercom.io/tickets \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.12' \
-d '{
"ticket_type_id": 36,
"contacts": [
{
"id": "677c56e46abd011ad17ff5c1"
}
],
"ticket_attributes": {
"_default_title_": "example",
"_default_description_": "there is a problem"
}
}'Successful response
The ID of the Ticket used in the Intercom Inbox and Messenger. Do not use ticket_id for API queries.
An object containing the different attributes associated to the ticket as key-value pairs. For the default title and description attributes, the keys are _default_title_ and _default_description_.
{ "_default_title_": "Found a bug", "_default_description_": "The button's not working" }
A ticket state, used to define the state of a ticket.
A ticket type, used to define the data fields to be captured in a ticket.
The list of contacts affected by a ticket.
The time the ticket was created as a UTC Unix timestamp.
The last time the ticket was updated as a UTC Unix timestamp.
The time the ticket will be snoozed until as a UTC Unix timestamp. If null, the ticket is not currently snoozed.
An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.
A list of Ticket Part objects for each note and event in the ticket. There is a limit of 500 parts.
{ "type": "ticket", "id": "160", "ticket_id": "12", "ticket_attributes": { "_default_title_": "example", "_default_description_": "there is a problem" }, "ticket_state": { "type": "ticket_state", "id": "2733", "category": "submitted", "internal_label": "Submitted", "external_label": "Submitted" }, "ticket_type": { "type": "ticket_type", "id": "36", "name": "my-ticket-type-23", "description": "my ticket type description is awesome.", "icon": "🦁", "workspace_id": "this_is_an_id683_that_should_be_at_least_", "archived": false, "created_at": 1736201956, "updated_at": 1736201956, "is_internal": false, "ticket_type_attributes": { … }, "category": "Back-office" }, "contacts": { "type": "contact.list", "contacts": [ … ] }, "admin_assignee_id": "0", "team_assignee_id": "0", "created_at": 1736201957, "updated_at": 1736201958, "ticket_parts": { "type": "ticket_part.list", "ticket_parts": [ … ], "total_count": 1 }, "open": true, "linked_objects": { "type": "list", "data": [], "total_count": 0, "has_more": false }, "category": "Back-office", "is_shared": false }